//分身设置
function SetRobotUserOK(CurrentVid,CAddPrice)
{
	if(isNaN(jQuery("#input_StartCount").val()))
	{
		alert("请输入数字");
		return ;
	}
	if(PaiPai_Manage)
	{
		//Vid,_StartType,_StartPrice,_StartTime,_StartCount
		//,_TacticType ,_StopType,_StopPrice,_StopPriceStep,_StopTime	
		PaiPai_Manage.StartRobotUser
		(
			CurrentVid
			,jQuery("#input_StartType").val()
			,parseFloat(jQuery("#input_StartPrice").val())
			,jQuery("#input_StartTime").val()       
			,parseInt(jQuery("#input_StartCount").val(),10)				
			,parseInt(jQuery("#input_TacticType").val(),10)	
			,parseInt(jQuery("#input_StopType").val(),10)
			,parseFloat(jQuery("#input_StopPrice").val())
			,CAddPrice	
			,"2100-01-01 00:00:00"   
		);	
		
		//jQuery("#Div_RobotSet").hide();
		//jQuery("#Div_RobotShow").show();
		jQuery("#Div_RobotSet").hide();
		jQuery("#Div_RobotShow").show();
	
	}
	else alert("PaiPai_Manage未创建.");

	
	
}
function ChargeRobotUserType()
{
	if(jQuery("#input_StartType").val()=="0")
	{
		//jQuery("#input_RobotUserValue").attr("disabled","disabled");
		jQuery("#span_input_StartTime").hide();
		jQuery("#span_input_StartPrice").show();
	}
	else
	{
		jQuery("#span_input_StartPrice").hide();
		jQuery("#span_input_StartTime").show();
		//jQuery("#input_RobotUserValue").attr("disabled","");	
	}
}

function ChargeRobotUserStopType()
{
	switch(parseInt(jQuery("#input_StopType").val(),10))
	{
		case 0:		
			jQuery("#span_input_StopPrice").hide();
			jQuery("#span_input_StartCount").hide();
			break;
		case 1:		
			jQuery("#span_input_StopPrice").hide();
			jQuery("#span_input_StartCount").show();
			break;			
		case 2:		
			jQuery("#span_input_StopPrice").show();
			jQuery("#span_input_StartCount").hide();
			break;		
	}

}

function SetRobotUserCancel(CurrentVid)
{
	if(PaiPai_Manage)
	{
		PaiPai_Manage.StopRobotUser(CurrentVid);
		jQuery("#Div_RobotSet").show();
		jQuery("#Div_RobotShow").hide();
	}
}

function AddSafeBuySub(CurrentVid)
{
	if(PaiPai_Manage)
	{
		PaiPai_Manage.SafeBuy(CurrentVid);
		
	}
	else
	{
		Alert("JS PaiPai对象不存在,请检查JS.");
	}
	

	return false;
}


//多标签区
jQuery(function(){
	jQuery("a[id^='flag-msg-']").click(function(){
		jQuery("a[id^='flag-msg-']").removeClass("C-ffffff");jQuery(this).addClass("C-ffffff");
		jQuery("div[id^='msg-']").hide();jQuery("#"+jQuery(this).attr("flag")).show();
	});
});